package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIAppV2AppOwnersDeleteEntitlementOwnerRequest{
AppEntitlementRefAppID: "<id>",
AppEntitlementRefID: "<id>",
AppID: "<id>",
RoleSlug: "<value>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteEntitlementOwnerResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appOwnersV2.deleteEntitlementOwner({
appId: "<id>",
roleSlug: "<value>",
appEntitlementRefAppId: "<id>",
appEntitlementRefId: "<id>",
});
console.log(result);
}
run();curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appEntitlementRef": {
"appId": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}"
payload = { "appEntitlementRef": {
"appId": "<string>",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appEntitlementRef: {appId: '<string>', id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete Entitlement Owner
DeleteEntitlementOwner deletes an entitlement ownership source for an app.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIAppV2AppOwnersDeleteEntitlementOwnerRequest{
AppEntitlementRefAppID: "<id>",
AppEntitlementRefID: "<id>",
AppID: "<id>",
RoleSlug: "<value>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteEntitlementOwnerResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appOwnersV2.deleteEntitlementOwner({
appId: "<id>",
roleSlug: "<value>",
appEntitlementRefAppId: "<id>",
appEntitlementRefId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The roleSlug field.
The appId field.
The id field.
Body
DeleteEntitlementOwnerRequest is the request for deleting an entitlement ownership source.
The AppEntitlementRef message.
Show child attributes
Show child attributes
Response
DeleteEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source.
DeleteEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source.
Was this page helpful?